# Class JsonServlet.JsonRequest

java.lang.Object
org.apache.zookeeper.graph.servlets.JsonServlet.JsonRequest

Enclosing class:
  `JsonServlet`

protected class JsonServlet.JsonRequest extends Object

## Constructor Summary

Constructors
Constructor
Description
`JsonRequest(javax.servlet.ServletRequest request)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getNumber(String name, long defaultnum)`
`String`
`getString(String name, String defaultstr)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsonRequest

public JsonRequest(javax.servlet.ServletRequest request)

## Method Details

### getNumber

public long getNumber(String name, long defaultnum)

### getString

public String getString(String name, String defaultstr)